#
# spec file for package kvirc (Version 3.4.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa-devel arts arts-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-compat-mDNSResponder avahi-compat-mDNSResponder-devel avahi-devel avahi-glib bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-devel cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils fam fam-devel file fileshareset filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv jack-devel kdebase3 kdebase3-devel kdelibs3 kdelibs3-arts kdelibs3-default-style kdelibs3-devel kdelibs3-doc less libacl libacl-devel libart_lgpl libart_lgpl-devel libasound2 libattr libattr-devel libbz2-1 libbz2-devel libdaemon libdb-4_5 libdrm libdrm-devel libexpat-devel libexpat1 libgcc42 libgcrypt libgcrypt-devel libglade2 libgomp42 libgpg-error libgpg-error-devel libidn libidn-devel libjack libjpeg libjpeg-devel liblazy liblcms liblcms-devel libltdl-3 libmng libmng-devel libmudflap42 libogg libogg-devel libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nss-mdns openldap2-client openssl openssl-certs orbit2 pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-base permissions pkg-config popt python qt3 qt3-devel rpm sed sgml-skel sqlite sudo sysvinit tar texinfo timezone unsermake update-desktop-files util-linux xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           kvirc
%define       _prefix /opt/kde3
%define       _mandir /usr/share/man
%define       _realversion 3.4
BuildRequires:  kdebase3-devel update-desktop-files
Url:            http://www.kvirc.net/
License:        GPL v2 or later
Group:          Productivity/Networking/IRC
Summary:        Graphical Front-End for IRC
Version:        3.4.0
Release:        85.1
Source:         kvirc-%{version}.tar.bz2
Patch:          kvirc-browser.patch
Patch2:         kvirc-testassign.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
IRC (Internet Relay Chat) client with an MDI interface; scripting,
pop-up, alias, and event editor; DCC (SEND CHAT VOICE and RESUME);
SOCKSV4 & V5 support; and more. See documentation in
/opt/kde/share/doc/HTML/de/kvirc/index.html.



Authors:
--------
    Szymon Stefanek <kvirc@tin.it>

%debug_package
%package -n kvirc-devel
Summary:        Graphical Front-End for IRC
Group:          Productivity/Networking/IRC
Requires:       kvirc = %{version}

%description devel
IRC (Internet Relay Chat) client with an MDI interface; scripting,
pop-up, alias, and event editor; DCC (SEND CHAT VOICE and RESUME);
SOCKSV4 & V5 support; and more. See documentation in
/opt/kde/share/doc/HTML/de/kvirc/index.html.



Authors:
--------
    Szymon Stefanek <kvirc@tin.it>

%prep
%setup -q
%patch
%patch2

%build
. /etc/opt/kde3/common_options
./autogen.sh
./configure $configkde \
	--with-qt-library-dir=/usr/lib/qt3/%{_lib} \
	--libdir=/opt/kde3/%{_lib} \
	--with-kde-library-dir=/opt/kde3/%{_lib} \
	--disable-final
make -C src/kvilib/build symlinks
make -C src/kvirc/build symlinks
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%__install -d %{buildroot}%{_datadir}/applnk/Internet
%__install -d %{buildroot}%{_datadir}/mimelnk/text
%suse_update_desktop_file kvirc Network IRCClient
# conflicts with kopete
%__rm -f %{buildroot}%{_datadir}/services/irc.protocol
%__rm -f %{buildroot}%{_datadir}/kvirc/3.2/modules/lib*.la
%__rm -f %{buildroot}%{_libdir}/lib*.la

%post
%{run_ldconfig}

%clean
# clean up the hard disc after build
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc TODO README INSTALL ChangeLog
%{_bindir}/kvirc
%{_bindir}/kvi_run_netscape
%{_bindir}/kvi_search_help
%{_libdir}/libkvilib.so.*
%{_datadir}/appl*/*/*
%{_datadir}/icons/*
%{_datadir}/mimelnk/text/*
%{_datadir}/services/*
%dir %{_datadir}/kvirc
%dir %{_datadir}/kvirc/%{_realversion}
%config(noreplace) %{_datadir}/kvirc/%{_realversion}/config
%{_datadir}/kvirc/%{_realversion}/defscript
%{_datadir}/kvirc/%{_realversion}/help
%{_datadir}/kvirc/%{_realversion}/license
%{_datadir}/kvirc/%{_realversion}/locale
%{_datadir}/kvirc/%{_realversion}/modules
%{_datadir}/kvirc/%{_realversion}/pics
%{_datadir}/kvirc/%{_realversion}/msgcolors
%{_datadir}/kvirc/%{_realversion}/themes
%{_mandir}/man?/kvirc.1.gz

%files devel
%defattr(-,root,root)
%{_bindir}/kvirc-config
%{_includedir}/kvirc
%{_libdir}/libkvilib.so
%changelog
* Sun Apr 20 2008 Carsten Schoene <cs@linux-administrator.com>
- new upstream release 3.4.0

* Fri Jul 27 2007 - ro@suse.de
- block "$" and ";" in irc urlhandler (#285810)
* Mon Jan 08 2007 - ro@suse.de
- update to 3.2.6
  * Added handling of unknown RPL_WHOIS* numeric replies
  * Added a file with KVIrc file extension definitions
  * Added an option for the "network name in taskbar"
  * Added new notifier
  * Moved the whole theme management engine to a new module
  * New german translation file
  * More work on the options dialogs
* Tue Dec 19 2006 - ro@suse.de
- in kvi_socket.h: test if error value equals to EAGAIN
  instead of setting it to that value (#226878)
* Mon Nov 06 2006 - ro@suse.de
- fix crash after initial setup (thanks to gladiac)
* Tue Oct 17 2006 - ro@suse.de
- update to 3.2.5
  - documentation cleanups
  - Fixed some docs about KVS
  - Fixed couple of bugs, include crashbug when applying a new theme
  - Changed trayicon bechaviour. Now it's configurable.
  - Make Tree taskbar header hidable. Hide it by default
* Wed Sep 06 2006 - ro@suse.de
- update to 3.2.4
  - uparser is definitively gone: KVS is the reality.
  - many cleanups all over, including documentation
  - countless bugfixes
* Tue Jul 18 2006 - dmueller@suse.de
- fix build
* Tue Jun 20 2006 - dmueller@suse.de
- build parallel
* Mon Jun 12 2006 - ro@suse.de
- remove unused .a files for modules (#182161)
- split off devel package
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 23 2005 - coolo@suse.de
- fix libtool usage (protecting share holder value again)
* Fri May 27 2005 - ro@suse.de
- fix build with gcc-4.0.1
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Mon Mar 07 2005 - ro@suse.de
- update to 3.2.0
* Thu Feb 17 2005 - adrian@suse.de
- move menu entry to xdg dir
* Mon Jan 03 2005 - adrian@suse.de
- remove unneeded mad and mad-devel from nfb
* Mon Nov 08 2004 - ro@suse.de
- recode all translations patches to UTF-8
* Mon Nov 08 2004 - ro@suse.de
- remove most hunks from old patch (apparently obsolete)
- recode de translation to utf-8 first
* Wed Jun 30 2004 - adrian@suse.de
- fix file conflict with kopete from KDE 3.3
* Thu Jun 03 2004 - ro@suse.de
- update to 3.0.1
* Tue Apr 27 2004 - ro@suse.de
- update to 3.0.0
* Thu Mar 18 2004 - ro@suse.de
- cvs update of Mar18
- now the icons look complete ...
* Sun Mar 07 2004 - ro@suse.de
- cvs update of Mar07
* Fri Jan 30 2004 - ro@suse.de
- cvs update of Jan30
* Thu Oct 30 2003 - ro@suse.de
- added defattr
* Wed Oct 29 2003 - ro@suse.de
- update to CVS of Oct29 ... mountain of patches to compile
* Thu Aug 21 2003 - ro@suse.de
- added run_ldconfig
* Mon Jul 28 2003 - adrian@suse.de
- add Categories
* Thu Jun 12 2003 - ro@suse.de
- add dir /opt/kde3/include/kvirc to filelist
* Mon May 19 2003 - ro@suse.de
- fix filelist
* Thu May 15 2003 - ro@suse.de
- change mode of .la files to 644
* Fri Mar 07 2003 - ro@suse.de
- move applnk and mimelnk files in place
* Tue Feb 18 2003 - ro@suse.de
- use kfmclient as urlhandler if available
* Wed Jan 08 2003 - adrian@suse.de
- update to 3.0.0-beta2
* Tue Oct 22 2002 - ro@suse.de
- update to 3.0.0-beta1
* Tue Jun 18 2002 - ro@suse.de
- libdir is /opt/kde2/%%_lib for kde2 ...
* Mon Jun 17 2002 - adrian@suse.de
- fix to compile on lib64-archs
* Fri Apr 05 2002 - ro@suse.de
- fix pofiles
* Fri Nov 09 2001 - ro@suse.de
- use kde2-devel-packages
* Tue Oct 30 2001 - ro@suse.de
- cvs update 2001/10/30
* Tue Sep 18 2001 - adrian@suse.de
- change TAG to X11/KDE/Beta
* Mon Sep 10 2001 - schwab@suse.de
- Fix casts.
* Sat Sep 01 2001 - ro@suse.de
- update to cvs of today
- use current libtool to build plugins right
- enable kde-support and ipv6-support
* Wed Aug 22 2001 - ro@suse.de
- update to 2.1.2pre2 (cvs) to make it compile
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri May 18 2001 - adrian@suse.de
- New version 2.1.1
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - ro@suse.de
- fixed filelist
* Wed Feb 21 2001 - adrian@suse.de
- package fix
* Fri Feb 02 2001 - adrian@suse.de
- update to 2.1.0 (KDE 2)
* Mon Jan 29 2001 - mmj@suse.de
- fixed CXXFLAGS passing in the src/*/Makefile.in files
* Mon Dec 04 2000 - adrian@suse.de
- fixed neededforbuild
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Wed Nov 08 2000 - ro@suse.de
- neededforbuild libmng
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu Jun 08 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 - @suse.de
- Spec file created from kvirc-1.0.0_beta3.1.tar.gz by autospec
* Thu Oct 28 1999 - kettner@suse.de
- Drop ksupp, klibs, kbase and qtlib1 from neededforbuild
* Thu Oct 28 1999 - kettner@suse.de
- New version 1.0.0_beta3.1, need qtlib2, fixes
  Buzilla bug #605
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 19 1999 - kettner@suse.de
- Recreated spec file with new autospec
* Wed Mar 31 1999 - bs@suse.de
- don't use lx_hack for build
  Wed Mar 17 22:50:05 MET 1999 - autospec
- Recreated spec file from kvirc-0.9.0.tar.gz using autospec script by kettner@suse.de
